Installation Zend Guard Loader für PHP 5.3.x

Für die PHP Versionen bis 5.2.x gibt es den ZendOptimizer. Dieser ist bei Auswahl der PHP Version 5.2.x standardmäßig installiert.

Für die PHP Version ab 5.3.x gibt es den Zend Guard Loader. Der Zend Guard Loader ist bei Auswahl der PHP Version 5.3.x standardmäßig nicht installiert.

Über das Kundenmenu kann der Zend Guard Loader wie folgt eingebunden werden.

1) Zend Guard Loader unter http://www.zend.com/products/guard/downloads (Registrierung ist notwendig) herunterladen. Bitte wählen Sie dazu die Linux 32 Bit Version aus.

2) Die Datei per (S)FTP auf Ihren Webspace kopieren

3) Datei auf dem Server (Shell) entpacken, Befehl hierzu:

tar xzf ZendGuardLoader-php-5.3-linux-glibc23-i386.tar.gz

Entpacken Sie nun die Dateien im folgenden Verzeichnis:

/ZendGuardLoader-php-5.3-linux-glibc23-i386/

4) Konfiguration im KundenmenuNun müssen Sie im Kundenmenu unter dem Menupunkt Domainverwaltung die Domain bearbeiten. Unter dem Reiter Einstellung auf den Button PHP.INI-Editor klicken und stellen die PHP Version von global auf Domainspezifisch um.Tragen Sie hierbei folgende Werte unter dem Reiter Sonstige Einstellungen ein:

memory_limit = "256M"
upload_max_filesize = "128M"
zend_optimizer.enable_loader = "1"
zend_extension = *Pfad_zum_Webspace/ZendGuardLoader-php-5.3-linux-glibc23-i386/php-5.3.x/iZendGuardLoader.so
post_max_size = "128M"

*den Pfad_zum_Webspace  finden Sie in Ihrem Kundenmenü unter Allgemein -> Informationen oder durch Eingabe des Befehls $PWD in der Shell.